<?php declare(strict_types=1);

namespace App\Form;

use App\Entity\ItemExtra;
use App\Entity\MenuItem;
use Override;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ItemExtraType extends AbstractType
{
    #[Override]
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder->add(child: 'name', options: [
            'label' => 'custom extra',
        ]);
    }

    #[Override]
    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => ItemExtra::class,
        ]);
        $resolver->setRequired('menuItem');
        $resolver->setAllowedTypes('menuItem', MenuItem::class);
    }
}
